require("helper.lua")

function love.load()
	local q={0, 0, 0, 0, 0, 0, 0, 0}
	board={q, q, q, q, q, q, q, q} 
	selected=false
	love.graphics.setFont(25)		
	w=love.getSize(W)
	empty=love.graphics.newImage("blank.png")
	red=love.graphics.newImage("red.png")
	blue=love.graphics.newImage("blue.png")
	love.graphics.setMode(w, w, false)
	he=love.getSize(H)
	turn=red
	love.graphics.setCaption("LOVE Connect 4!")
end

function love.draw()
	if not selected then
		love.graphics.print("PLEASE SELECT A GRID SIZE 4-8", 200, 200)
	else
		for i=1, 8 do
			row=board[i]
			for l=1, 8 do
				local piece=row[l]
				if piece~=0 then
					love.graphics.drawq(piece, grid, w*(i-1), he*(l-1), 0, 1, 1, 0, 0)
				end
			end
		end
	end
end

function love.keypressed(key)
	if not selected then
		for i=4, 8 do
			if key==""..i then
				selected=i
				setGrid(i)
				w=w/selected
				he=he/selected
				grid=love.graphics.newQuad(0, 0, w, he, w, he)
			end
		end
	else
		changeBoard(key+0, 1)
	end
end

function setGrid(size)
	for i=1, size do
		local h=board[i]
		for i=1, size do
			h[i]=empty
		end
	end
end

function changeBoard(key, row)
	if board[row][key]~=0 then
		if board[row][key]==empty then
			if turn==red then
				board[row][key]=red
				turn=blue
			else
				board[row][key]=blue
				turn=red
			end
		end
	end
end